package com.bonus.material.work.mapper;

import com.bonus.material.basic.domain.dto.SysUserRoleVo;
import com.bonus.material.work.domain.SysWorkflowConfig;
import com.bonus.material.work.domain.SysWorkflowType;

import java.util.List;

public interface SysWorkflowConfigMapper {

    /**
     * 根据任务id查询直转接收项目部配置的所有人员id
     * @param taskId 直转任务id
     * @return 人员ID串，例如：1,2,3
     */
    String selectUnitConfigValuesByTaskId(Integer taskId);

    int addSysWorkflowConfig(SysWorkflowConfig sysWorkflowConfig);

    int deleteSysWorkflowConfig(SysWorkflowConfig sysWorkflowConfig);

    String selectConfigValueByNodeId(Integer nodeId);

    String selectRolesByNodeId(Integer nodeId);

    SysWorkflowConfig selectConfigValueInfoByNodeId(Integer nodeId);

    int getImpUnit(String backProId);

    List<SysUserRoleVo> getUserIdByUserName(String leaderAccount);
}
